### Hierarchy

- MoneroNodeClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorGetMoneroNodeSettings
- methodDescriptorIsMoneroNodeOnline
- methodDescriptorStartMoneroNode
- methodDescriptorStopMoneroNode
- options_

### Methods

- getMoneroNodeSettings
- isMoneroNodeOnline
- startMoneroNode
- stopMoneroNode

## Constructors

### constructor

- new MoneroNodeClient(hostname: string, credentials?: null | {}, options?: null | {}): MoneroNodeClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1506

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns MoneroNodeClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1501

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1503

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1502

### methodDescriptorGetMoneroNodeSettings

methodDescriptorGetMoneroNodeSettings: MethodDescriptor < GetMoneroNodeSettingsRequest , GetMoneroNodeSettingsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1562

### methodDescriptorIsMoneroNodeOnline

methodDescriptorIsMoneroNodeOnline: MethodDescriptor < IsMoneroNodeOnlineRequest , IsMoneroNodeOnlineReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1519

### methodDescriptorStartMoneroNode

methodDescriptorStartMoneroNode: MethodDescriptor < StartMoneroNodeRequest , StartMoneroNodeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1605

### methodDescriptorStopMoneroNode

methodDescriptorStopMoneroNode: MethodDescriptor < StopMoneroNodeRequest , StopMoneroNodeReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1648

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1504

## Methods

### getMoneroNodeSettings

- getMoneroNodeSettings(request: GetMoneroNodeSettingsRequest, metadata: null | Metadata ): Promise< GetMoneroNodeSettingsReply >
- getMoneroNodeSettings(request: GetMoneroNodeSettingsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetMoneroNodeSettingsReply ) => void): ClientReadableStream < GetMoneroNodeSettingsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1573

  #### Parameters

  - ##### request: GetMoneroNodeSettingsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetMoneroNodeSettingsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1577

  #### Parameters

  - ##### request: GetMoneroNodeSettingsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetMoneroNodeSettingsReply ) => void

    - - (err: RpcError, response: GetMoneroNodeSettingsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMoneroNodeSettingsReply

        #### Returns void

  #### Returns ClientReadableStream < GetMoneroNodeSettingsReply >

### isMoneroNodeOnline

- isMoneroNodeOnline(request: IsMoneroNodeOnlineRequest, metadata: null | Metadata ): Promise< IsMoneroNodeOnlineReply >
- isMoneroNodeOnline(request: IsMoneroNodeOnlineRequest, metadata: null | Metadata, callback: (err: RpcError, response: IsMoneroNodeOnlineReply ) => void): ClientReadableStream < IsMoneroNodeOnlineReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1530

  #### Parameters

  - ##### request: IsMoneroNodeOnlineRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< IsMoneroNodeOnlineReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1534

  #### Parameters

  - ##### request: IsMoneroNodeOnlineRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: IsMoneroNodeOnlineReply ) => void

    - - (err: RpcError, response: IsMoneroNodeOnlineReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: IsMoneroNodeOnlineReply

        #### Returns void

  #### Returns ClientReadableStream < IsMoneroNodeOnlineReply >

### startMoneroNode

- startMoneroNode(request: StartMoneroNodeRequest, metadata: null | Metadata ): Promise< StartMoneroNodeReply >
- startMoneroNode(request: StartMoneroNodeRequest, metadata: null | Metadata, callback: (err: RpcError, response: StartMoneroNodeReply ) => void): ClientReadableStream < StartMoneroNodeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1616

  #### Parameters

  - ##### request: StartMoneroNodeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< StartMoneroNodeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1620

  #### Parameters

  - ##### request: StartMoneroNodeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: StartMoneroNodeReply ) => void

    - - (err: RpcError, response: StartMoneroNodeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StartMoneroNodeReply

        #### Returns void

  #### Returns ClientReadableStream < StartMoneroNodeReply >

### stopMoneroNode

- stopMoneroNode(request: StopMoneroNodeRequest, metadata: null | Metadata ): Promise< StopMoneroNodeReply >
- stopMoneroNode(request: StopMoneroNodeRequest, metadata: null | Metadata, callback: (err: RpcError, response: StopMoneroNodeReply ) => void): ClientReadableStream < StopMoneroNodeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1659

  #### Parameters

  - ##### request: StopMoneroNodeRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< StopMoneroNodeReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:1663

  #### Parameters

  - ##### request: StopMoneroNodeRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: StopMoneroNodeReply ) => void

    - - (err: RpcError, response: StopMoneroNodeReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StopMoneroNodeReply

        #### Returns void

  #### Returns ClientReadableStream < StopMoneroNodeReply >

Generated using TypeDoc